Bug 106595 - u2pdate --get-source prints odd (debugging?) messaages
Summary: u2pdate --get-source prints odd (debugging?) messaages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-08 19:29 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 19:51:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2003-10-08 19:29:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031003

Description of problem:
Sometimes, up2date --get-source prints messages like this:

fd: <rhn.transports.File instance at 0x870090c>

I couldn't quite figure out how to duplicate this reliably.  Often, when given a
collection of packages whose sources I want to download, most of which are
already in packagesDir, a message like this is displayed, but I couldn't
correlate it to the previous presence of the package or anything similar.

Version-Release number of selected component (if applicable):
up2date-4.0.1-2

How reproducible:
Sometimes

Steps to Reproduce:
1.up2date --get-source list of packages

Actual Results:  /var/spool/up2date/gedit-2.4.0-2.src.rpm...
 
gedit-2.4.0-2.src.rpm...
########################################
 
/var/spool/up2date/gedit-2.4.0-2.src.rpm...
 
gedit-2.4.0-2.src.rpm...
########################################
fd: <rhn.transports.File instance at 0x86fa92c>
 
gkrellm-2.1.20-1.src.rpm...
 
gkrellm-2.1.20-1.src.rpm...
########################################
 
/var/spool/up2date/gnome-media-2.4.0-1.src.rpm...
 
gnome-media-2.4.0-1.src.rpm...
########################################
fd: <rhn.transports.File instance at 0x870090c>
 

Expected Results:  The messages probably shoudln't be there.

Additional info:

Comment 1 Alexandre Oliva 2003-10-08 19:34:37 UTC
I figured out the correlation: if, after a package that had to be downloaded
from the net, a package is encountered in the packageDIr, the message is printed.

Comment 2 Adrian Likins 2003-10-08 19:39:57 UTC
hmm, yeah. spurious debug stuff. should be already removed from 4.1.x branch

I'll fix it in 4.0.x as well in case we errata 

Comment 3 Alexandre Oliva 2003-10-18 20:53:00 UTC
I haven't got this on test3, but then, I haven't downloaded anything from the
RHN server.  Do you want to leave this open?

Comment 4 Paul Nasrat 2004-03-08 11:28:34 UTC
This occurs on RHEL errata too :(

[pauln@deathstar pauln]$ rpm -q up2date
up2date-4.2.5-1
[pauln@deathstar pauln]$ sudo up2date --get-source up2date
 
Fetching all package list for channel: rhel-i386-es-3...
########################################
 
Fetching package list for channel: rhel-i386-es-3...
########################################
fd: <rhn.transports.File instance at 0x853f994>
 
up2date-4.2.5-1.src.rpm...



Note You need to log in before you can comment on or make changes to this bug.